Numerical Optimization Module

Numerical optimization routines. More...

## Classes

class | itpp::Newton_Search
| Newton Search. More...
class | itpp::Line_Search
| Line Search. More...

## Enumerations

enum | itpp::Newton_Search_Method { BFGS }
| Newton Search method.
enum | itpp::Line_Search_Method { Soft, Exact }
| Line Search method.

## Functions

vec | itpp::fminunc (double(*function)(const vec &), vec(*gradient)(const vec &), const vec &x0)
| Unconstrained minimization. More...

## Detailed Description

Numerical optimization routines.

## Function Documentation

ITPP_EXPORT vec itpp::fminunc | ( | double(*)(const vec &) | function,
|  | vec(*)(const vec &) | gradient,
|  | const vec & | x0
| ) |  |

Unconstrained minimization.

Unconstrained minimization using a Newton or Quasi-Newton optimization method that try to minimize the objective function given an initial guess .

The function and the gradient need to be known and supplied.

The default algorithm is a Quasi-Newton search using BFGS updates of the inverse Hessian matrix.

Definition at line 692 of file newton_search.cpp.

References itpp::Newton_Search::search(), and itpp::Newton_Search::set_functions().

Generated on Thu Aug 20 2015 21:02:52 for IT++ by Doxygen 1.8.9.1